This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260418 - Can not set network repos before default mirrors are probed
Can not set network repos before default mirrors are probed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 11:39 EDT by Nicolas Mailhot
Modified: 2015-09-08 10:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 10:02:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2015-09-06 11:39:34 EDT
When doing a rawhide network install anaconda does not let one change repo urls before network is activated and default mirrors are probes

when most mirrors are in a broken state and the network connection is slow, this can take tens of minutes

There should be a way to setup repo urls before network is activated 
There should be a way to setup repo urls while the default mirrors are probed
There should be a way to kill default mirror probing 

Version-Release number of selected component (if applicable):
anaconda 24.1-1 (as used in the rawhide boot image published 2015-09-02)
Comment 1 David Shea 2015-09-08 10:02:26 EDT
You can boot with inst.askmethod to disable the automatic repo selection.
Comment 2 Nicolas Mailhot 2015-09-08 10:05:18 EDT
Thank you for the information but it is not exactly user friendly isn't it ?

Of course that depends on what you want anaconda to be.

Note You need to log in before you can comment on or make changes to this bug.